#!/usr/bin/python
#dv3d_gui_SetupMainWindowFields.py
#Sets up some msicellaneous gui settings in the main 3d window
#DV3D refactor 2
#AG 25/07/2013

import vtk


def dv3d_gui_SetupMainWindowFields(the_parent_window):

    tpw = the_parent_window #for brevity

    # the list of views from the 'View from' combo box
    configureViewFromComboBox(tpw.comboBoxViewFrom)
    configureViewTypeComboBox(tpw.comboBoxViewType)
    

def configureViewFromComboBox(comboBox):
    viewList = ['Top', 'Bottom', 'Left',
                'Right', 'Front', 'Back']    
    comboBox.clear()
    comboBox.addItems(viewList)

def configureViewTypeComboBox(comboBox):
    viewList = ['Perspective', 'Parallel']    
    comboBox.clear()
    comboBox.addItems(viewList)

